clear;
s=serial('COM1');
set(s,'baudrate',38400,'Terminator',13,'InputBufferSize',16,'OutputBufferSize',6);
fopen(s);
ip=readfis('ip5.fis');

%ruleview('ip');

while (1)
       
   fprintf(s,'#!');
    
   a=fgets(s);
      
   b=a(1,1:3);
   teta=str2num(b)
      
   b=a(1,4:6);
   teta_dot=(str2num(b)/5)
   
   b=a(1,7:10);
   j=str2num(b);
   
   pwm=round(evalfis([teta teta_dot],ip))
       
   
   if (pwm>0)
        fprintf(s,'#0%03d',pwm);
   end;
   
   if (pwm<0)
        fprintf(s,'#%04d',pwm);
   end;
   
   
end
clear;
fclose(s);
delete(s);
